struct vertex{
	float x, y, z;
	float nx, ny, nz;
};

GLuint load_mtm(const char* filename, bool flat, GLuint ID){
	if(ID<=0) ID=glGenLists(1);
	int n;
	FILE *file;
	if((file=fopen(filename, "r"))==NULL) return 0;
	fscanf(file, "%d", &n);
	//printf("%d verticles:\n", n);
	vertex verticles[n+1];
	for(int i=1; i<=n; i++){
		fscanf(file, "%f %f %f %f %f %f\n", &verticles[i].x, &verticles[i].y, &verticles[i].z, &verticles[i].nx, &verticles[i].ny, &verticles[i].nz);
	}

	
	float nx, ny, nz, tx, ty;
	int vId;
	int n2;
	int type=0;
	glNewList(ID,GL_COMPILE);{
		fscanf(file, "%d", &n);
		for(int j=0; j<n; j++){
			fscanf(file, "%d", &n2);
			//if(n2==4) type=GL_QUADS;
			//if(n2==3) type=GL_QUADS;
			glBegin(GL_POLYGON);{
				fscanf(file, "%f %f %f", &nx, &ny, &nz);
				if(flat) glNormal3f(nx, ny, nz);
				for(int i=0; i<n2; i++){
					fscanf(file, "%f %f %d", &tx, &ty, &vId);
					if(!flat) glNormal3f(verticles[vId].nx, verticles[vId].ny, verticles[vId].nz);
					glTexCoord2f(tx, ty);
					glVertex3f(verticles[vId].x, verticles[vId].y, verticles[vId].z);
					//printf("%.0f x %.0f x %.0f => \n",verticles[vId].x, verticles[vId].y, verticles[vId].z);
				}
				//printf("\n");
			}glEnd();
		}
	}glEndList(); 
	//printf("model loaded, on ID: %d\n", ID);
	return ID;
}
